Last modified: 2013-03-17 23:22:09 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 45461 - Use 'email' instead of 'e-mail' for English messages
Use 'email' instead of 'e-mail' for English messages
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
1.21.x
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Siebrand Mazeland
:
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2013-02-26 23:24 UTC by Matthew Flaschen
Modified: 2013-03-17 23:22 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Matthew Flaschen 2013-02-26 23:24:45 UTC
My observation is that 'email' is now a lot more common than 'e-mail' online, and Wikipedia corroborates this (https://en.wikipedia.org/wiki/Email#Spelling).

I think this will make people feel just a little more comfortable, so I propose changing our standard to be 'email'.

I don't think this is an American/British issue, since the Oxford dictionaries have 'email' canonical too according to http://oxforddictionaries.com/definition/english/email
Comment 1 Steven Walling 2013-02-26 23:31:25 UTC
Very much needed. If even the staid OED and other sources (like the AP Stylebook) are switching to no hyphen, it's time we did too.
Comment 2 Siebrand Mazeland 2013-02-27 07:33:38 UTC
Will take care of this in the coming weeks. Means changes to dozens of extensions, so please allow me some time.
Comment 3 MZMcBride 2013-02-27 07:45:27 UTC
"E-mail" is surely easier to learn/understand/pronounce for non-native English speakers than "email".
Comment 4 Matthew Flaschen 2013-02-27 08:40:10 UTC
MZMcBride, unfortunately, there are a lot of English words that are hard to pronounce.  But pronunciation is not really that relevant when you're privately reading something anyway.

More importantly, our goal for the messages should be that they read as normal spelling and phrasing for the language in question.  And 'email', without a dash, is now the norm for online English.

Besides using other language editions of the sites, people have the option to change their interface language in the preferences.
Comment 5 Siebrand Mazeland 2013-02-27 11:17:21 UTC
Preparing patch sets here:

http://hexm.de/bug45461
Comment 6 Siebrand Mazeland 2013-02-27 12:05:50 UTC
Patch sets done for core and 188 extensions that I have cloned. We may be getting some more fixes eventually.

http://hexm.de/45461 now has 29 patch sets that I'll start merging once I fix the issue that Raimond pointed out in core.
Comment 7 Siebrand Mazeland 2013-02-27 12:36:34 UTC
(In reply to comment #6)
> http://hexm.de/45461 now has 29 patch sets that I'll start merging once I fix
> the issue that Raimond pointed out in core.

28 patch sets were merged, the one for SemanticMediaWiki was not needed. This will be part of MediaWiki 1.21wmf11, and MediaWiki 1.21.0.
Comment 8 MZMcBride 2013-02-27 15:47:13 UTC
Iae47a24127b4bdd4ef308bdbd5be865217eb14f1, for reference.
Comment 9 Alex Monk 2013-03-02 18:10:11 UTC
Missed includes/installer/Installer.i18n.php.
Comment 10 Alex Monk 2013-03-03 00:01:30 UTC
(In reply to comment #9)
> Missed includes/installer/Installer.i18n.php.

Gerrit change #51882
Comment 11 Alex Monk 2013-03-03 00:48:06 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > Missed includes/installer/Installer.i18n.php.
> 
> Gerrit change #51882

Merged by Siebrand.
Comment 12 Technical 13 2013-03-17 22:06:23 UTC
Shouldn't all of the references to the word point to {{int:Email}} to allow quick and easy changing of it in the future as consensus declares?
Comment 13 MZMcBride 2013-03-17 22:17:48 UTC
(In reply to comment #12)
> Shouldn't all of the references to the word point to {{int:Email}} to allow
> quick and easy changing of it in the future as consensus declares?

I imagine many MediaWiki messages don't support {{int:Email}} expansion.
Comment 14 Technical 13 2013-03-17 22:24:47 UTC
(In reply to comment #13)
> (In reply to comment #12)
> > Shouldn't all of the references to the word point to {{int:Email}} to allow
> > quick and easy changing of it in the future as consensus declares?
> 
> I imagine many MediaWiki messages don't support {{int:Email}} expansion.

Then shouldn't they?
Comment 15 MZMcBride 2013-03-17 22:33:42 UTC
(In reply to comment #14)
> (In reply to comment #13)
>> I imagine many MediaWiki messages don't support {{int:Email}} expansion.
> 
> Then shouldn't they?

Maybe, but I think it's irrelevant: the spelling shouldn't change often enough to warrant using a template.
Comment 16 Technical 13 2013-03-17 22:53:31 UTC
(In reply to comment #15)
> (In reply to comment #14)
> > (In reply to comment #13)
> >> I imagine many MediaWiki messages don't support {{int:Email}} expansion.
> > 
> > Then shouldn't they?
> 
> Maybe, but I think it's irrelevant: the spelling shouldn't change often
> enough
> to warrant using a template.

Isn't that the reason that {{int:Email}} exists in the first place?  Why would it be created and not used?  Seems counter productive.
Comment 17 Siebrand Mazeland 2013-03-17 23:22:09 UTC
(In reply to comment #16)
> Isn't that the reason that {{int:Email}} exists in the first place?  Why
> would
> it be created and not used?  Seems counter productive.

No, that is not why the message key "email" exists. It exists because it is used in a certain context. Templates should not be used in localization, because it inhibits translation. It is not counter productive, even though it may seem to be to you.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links